com.amazonaws.services.simpleworkflow.model

## Class ActivityTypeConfiguration

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.ActivityTypeConfiguration

All Implemented Interfaces:
  Serializable, Cloneable

    public class ActivityTypeConfiguration
    extends Object
    implements Serializable, Cloneable

Configuration settings registered with the activity type.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ActivityTypeConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ActivityTypeConfiguration` `clone()`
`boolean` `equals(Object obj)`
`String` `getDefaultTaskHeartbeatTimeout()` Optional. The default maximum time, in seconds, before which a worker processing a task must report progress by calling RecordActivityTaskHeartbeat.
`TaskList` `getDefaultTaskList()` Optional. The default task list specified for this activity type at registration.
`String` `getDefaultTaskPriority()` Optional. The default task priority for tasks of this activity type, specified at registration.
`String` `getDefaultTaskScheduleToCloseTimeout()` Optional. The default maximum duration, specified when registering the activity type, for tasks of this activity type.
`String` `getDefaultTaskScheduleToStartTimeout()` Optional. The default maximum duration, specified when registering the activity type, that a task of an activity type can wait before being assigned to a worker.
`String` `getDefaultTaskStartToCloseTimeout()` Optional. The default maximum duration for tasks of an activity type specified when registering the activity type.
`int` `hashCode()`
`void` `setDefaultTaskHeartbeatTimeout(String defaultTaskHeartbeatTimeout)` Optional. The default maximum time, in seconds, before which a worker processing a task must report progress by calling RecordActivityTaskHeartbeat.
`void` `setDefaultTaskList(TaskList defaultTaskList)` Optional. The default task list specified for this activity type at registration.
`void` `setDefaultTaskPriority(String defaultTaskPriority)` Optional. The default task priority for tasks of this activity type, specified at registration.
`void` `setDefaultTaskScheduleToCloseTimeout(String defaultTaskScheduleToCloseTimeout)` Optional. The default maximum duration, specified when registering the activity type, for tasks of this activity type.
`void` `setDefaultTaskScheduleToStartTimeout(String defaultTaskScheduleToStartTimeout)` Optional. The default maximum duration, specified when registering the activity type, that a task of an activity type can wait before being assigned to a worker.
`void` `setDefaultTaskStartToCloseTimeout(String defaultTaskStartToCloseTimeout)` Optional. The default maximum duration for tasks of an activity type specified when registering the activity type.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ActivityTypeConfiguration` `withDefaultTaskHeartbeatTimeout(String defaultTaskHeartbeatTimeout)` Optional. The default maximum time, in seconds, before which a worker processing a task must report progress by calling RecordActivityTaskHeartbeat.
`ActivityTypeConfiguration` `withDefaultTaskList(TaskList defaultTaskList)` Optional. The default task list specified for this activity type at registration.
`ActivityTypeConfiguration` `withDefaultTaskPriority(String defaultTaskPriority)` Optional. The default task priority for tasks of this activity type, specified at registration.
`ActivityTypeConfiguration` `withDefaultTaskScheduleToCloseTimeout(String defaultTaskScheduleToCloseTimeout)` Optional. The default maximum duration, specified when registering the activity type, for tasks of this activity type.
`ActivityTypeConfiguration` `withDefaultTaskScheduleToStartTimeout(String defaultTaskScheduleToStartTimeout)` Optional. The default maximum duration, specified when registering the activity type, that a task of an activity type can wait before being assigned to a worker.
`ActivityTypeConfiguration` `withDefaultTaskStartToCloseTimeout(String defaultTaskStartToCloseTimeout)` Optional. The default maximum duration for tasks of an activity type specified when registering the activity type.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ActivityTypeConfiguration

    public ActivityTypeConfiguration()

### Method Detail

#### setDefaultTaskStartToCloseTimeout

    public void setDefaultTaskStartToCloseTimeout(String defaultTaskStartToCloseTimeout)

Optional. The default maximum duration for tasks of an activity type specified when registering the activity type. You can override this default when scheduling a task through the `ScheduleActivityTask` decision.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Parameters:
  `defaultTaskStartToCloseTimeout` - Optional. The default maximum duration for tasks of an activity type specified when registering the activity type. You can override this default when scheduling a task through the `ScheduleActivityTask` decision.

#### getDefaultTaskStartToCloseTimeout

    public String getDefaultTaskStartToCloseTimeout()

Optional. The default maximum duration for tasks of an activity type specified when registering the activity type. You can override this default when scheduling a task through the `ScheduleActivityTask` decision.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Returns:
  Optional. The default maximum duration for tasks of an activity type specified when registering the activity type. You can override this default when scheduling a task through the `ScheduleActivityTask` decision.

#### withDefaultTaskStartToCloseTimeout

    public ActivityTypeConfiguration withDefaultTaskStartToCloseTimeout(String defaultTaskStartToCloseTimeout)

Optional. The default maximum duration for tasks of an activity type specified when registering the activity type. You can override this default when scheduling a task through the `ScheduleActivityTask` decision.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Parameters:
  `defaultTaskStartToCloseTimeout` - Optional. The default maximum duration for tasks of an activity type specified when registering the activity type. You can override this default when scheduling a task through the `ScheduleActivityTask` decision.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDefaultTaskHeartbeatTimeout

    public void setDefaultTaskHeartbeatTimeout(String defaultTaskHeartbeatTimeout)

Optional. The default maximum time, in seconds, before which a worker processing a task must report progress by calling RecordActivityTaskHeartbeat.

You can specify this value only when registering an activity type. The registered default value can be overridden when you schedule a task through the `ScheduleActivityTask` decision. If the activity worker subsequently attempts to record a heartbeat or returns a result, the activity worker receives an `UnknownResource` fault. In this case, Amazon SWF no longer considers the activity task to be valid; the activity worker should clean up the activity task.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Parameters:
  `defaultTaskHeartbeatTimeout` - Optional. The default maximum time, in seconds, before which a worker processing a task must report progress by calling RecordActivityTaskHeartbeat.

  You can specify this value only when registering an activity type. The registered default value can be overridden when you schedule a task through the `ScheduleActivityTask` decision. If the activity worker subsequently attempts to record a heartbeat or returns a result, the activity worker receives an `UnknownResource` fault. In this case, Amazon SWF no longer considers the activity task to be valid; the activity worker should clean up the activity task.

#### getDefaultTaskHeartbeatTimeout

    public String getDefaultTaskHeartbeatTimeout()

Optional. The default maximum time, in seconds, before which a worker processing a task must report progress by calling RecordActivityTaskHeartbeat.

You can specify this value only when registering an activity type. The registered default value can be overridden when you schedule a task through the `ScheduleActivityTask` decision. If the activity worker subsequently attempts to record a heartbeat or returns a result, the activity worker receives an `UnknownResource` fault. In this case, Amazon SWF no longer considers the activity task to be valid; the activity worker should clean up the activity task.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Returns:
  Optional. The default maximum time, in seconds, before which a worker processing a task must report progress by calling RecordActivityTaskHeartbeat.

  You can specify this value only when registering an activity type. The registered default value can be overridden when you schedule a task through the `ScheduleActivityTask` decision. If the activity worker subsequently attempts to record a heartbeat or returns a result, the activity worker receives an `UnknownResource` fault. In this case, Amazon SWF no longer considers the activity task to be valid; the activity worker should clean up the activity task.

#### withDefaultTaskHeartbeatTimeout

    public ActivityTypeConfiguration withDefaultTaskHeartbeatTimeout(String defaultTaskHeartbeatTimeout)

Optional. The default maximum time, in seconds, before which a worker processing a task must report progress by calling RecordActivityTaskHeartbeat.

You can specify this value only when registering an activity type. The registered default value can be overridden when you schedule a task through the `ScheduleActivityTask` decision. If the activity worker subsequently attempts to record a heartbeat or returns a result, the activity worker receives an `UnknownResource` fault. In this case, Amazon SWF no longer considers the activity task to be valid; the activity worker should clean up the activity task.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Parameters:
  `defaultTaskHeartbeatTimeout` - Optional. The default maximum time, in seconds, before which a worker processing a task must report progress by calling RecordActivityTaskHeartbeat.

  You can specify this value only when registering an activity type. The registered default value can be overridden when you schedule a task through the `ScheduleActivityTask` decision. If the activity worker subsequently attempts to record a heartbeat or returns a result, the activity worker receives an `UnknownResource` fault. In this case, Amazon SWF no longer considers the activity task to be valid; the activity worker should clean up the activity task.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDefaultTaskList

    public void setDefaultTaskList(TaskList defaultTaskList)

Optional. The default task list specified for this activity type at registration. This default is used if a task list is not provided when a task is scheduled through the `ScheduleActivityTask` decision. You can override the default registered task list when scheduling a task through the `ScheduleActivityTask` decision.

Parameters:
  `defaultTaskList` - Optional. The default task list specified for this activity type at registration. This default is used if a task list is not provided when a task is scheduled through the `ScheduleActivityTask` decision. You can override the default registered task list when scheduling a task through the `ScheduleActivityTask`

#### getDefaultTaskList

    public TaskList getDefaultTaskList()

Optional. The default task list specified for this activity type at registration. This default is used if a task list is not provided when a task is scheduled through the `ScheduleActivityTask` decision. You can override the default registered task list when scheduling a task through the `ScheduleActivityTask` decision.

Returns:
  Optional. The default task list specified for this activity type at registration. This default is used if a task list is not provided when a task is scheduled through the `ScheduleActivityTask` decision. You can override the default registered task list when scheduling a task through the `ScheduleActivityTask`

#### withDefaultTaskList

    public ActivityTypeConfiguration withDefaultTaskList(TaskList defaultTaskList)

Optional. The default task list specified for this activity type at registration. This default is used if a task list is not provided when a task is scheduled through the `ScheduleActivityTask` decision. You can override the default registered task list when scheduling a task through the `ScheduleActivityTask` decision.

Parameters:
  `defaultTaskList` - Optional. The default task list specified for this activity type at registration. This default is used if a task list is not provided when a task is scheduled through the `ScheduleActivityTask` decision. You can override the default registered task list when scheduling a task through the `ScheduleActivityTask`
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDefaultTaskPriority

    public void setDefaultTaskPriority(String defaultTaskPriority)

Optional. The default task priority for tasks of this activity type, specified at registration. If not set, then "0" will be used as the default priority. This default can be overridden when scheduling an activity task.

Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide.

Parameters:
  `defaultTaskPriority` - Optional. The default task priority for tasks of this activity type, specified at registration. If not set, then "0" will be used as the default priority. This default can be overridden when scheduling an activity task.

  Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

  For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide

#### getDefaultTaskPriority

    public String getDefaultTaskPriority()

Optional. The default task priority for tasks of this activity type, specified at registration. If not set, then "0" will be used as the default priority. This default can be overridden when scheduling an activity task.

Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide.

Returns:
  Optional. The default task priority for tasks of this activity type, specified at registration. If not set, then "0" will be used as the default priority. This default can be overridden when scheduling an activity task.

  Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

  For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide

#### withDefaultTaskPriority

    public ActivityTypeConfiguration withDefaultTaskPriority(String defaultTaskPriority)

Optional. The default task priority for tasks of this activity type, specified at registration. If not set, then "0" will be used as the default priority. This default can be overridden when scheduling an activity task.

Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide.

Parameters:
  `defaultTaskPriority` - Optional. The default task priority for tasks of this activity type, specified at registration. If not set, then "0" will be used as the default priority. This default can be overridden when scheduling an activity task.

  Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

  For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDefaultTaskScheduleToStartTimeout

    public void setDefaultTaskScheduleToStartTimeout(String defaultTaskScheduleToStartTimeout)

Optional. The default maximum duration, specified when registering the activity type, that a task of an activity type can wait before being assigned to a worker. You can override this default when scheduling a task through the `ScheduleActivityTask` decision.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Parameters:
  `defaultTaskScheduleToStartTimeout` - Optional. The default maximum duration, specified when registering the activity type, that a task of an activity type can wait before being assigned to a worker. You can override this default when scheduling a task through the `ScheduleActivityTask` decision.

#### getDefaultTaskScheduleToStartTimeout

    public String getDefaultTaskScheduleToStartTimeout()

Optional. The default maximum duration, specified when registering the activity type, that a task of an activity type can wait before being assigned to a worker. You can override this default when scheduling a task through the `ScheduleActivityTask` decision.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Returns:
  Optional. The default maximum duration, specified when registering the activity type, that a task of an activity type can wait before being assigned to a worker. You can override this default when scheduling a task through the `ScheduleActivityTask` decision.

#### withDefaultTaskScheduleToStartTimeout

    public ActivityTypeConfiguration withDefaultTaskScheduleToStartTimeout(String defaultTaskScheduleToStartTimeout)

Optional. The default maximum duration, specified when registering the activity type, that a task of an activity type can wait before being assigned to a worker. You can override this default when scheduling a task through the `ScheduleActivityTask` decision.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Parameters:
  `defaultTaskScheduleToStartTimeout` - Optional. The default maximum duration, specified when registering the activity type, that a task of an activity type can wait before being assigned to a worker. You can override this default when scheduling a task through the `ScheduleActivityTask` decision.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDefaultTaskScheduleToCloseTimeout

    public void setDefaultTaskScheduleToCloseTimeout(String defaultTaskScheduleToCloseTimeout)

Optional. The default maximum duration, specified when registering the activity type, for tasks of this activity type. You can override this default when scheduling a task through the `ScheduleActivityTask` decision.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Parameters:
  `defaultTaskScheduleToCloseTimeout` - Optional. The default maximum duration, specified when registering the activity type, for tasks of this activity type. You can override this default when scheduling a task through the `ScheduleActivityTask` decision.

#### getDefaultTaskScheduleToCloseTimeout

    public String getDefaultTaskScheduleToCloseTimeout()

Optional. The default maximum duration, specified when registering the activity type, for tasks of this activity type. You can override this default when scheduling a task through the `ScheduleActivityTask` decision.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Returns:
  Optional. The default maximum duration, specified when registering the activity type, for tasks of this activity type. You can override this default when scheduling a task through the `ScheduleActivityTask` decision.

#### withDefaultTaskScheduleToCloseTimeout

    public ActivityTypeConfiguration withDefaultTaskScheduleToCloseTimeout(String defaultTaskScheduleToCloseTimeout)

Optional. The default maximum duration, specified when registering the activity type, for tasks of this activity type. You can override this default when scheduling a task through the `ScheduleActivityTask` decision.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Parameters:
  `defaultTaskScheduleToCloseTimeout` - Optional. The default maximum duration, specified when registering the activity type, for tasks of this activity type. You can override this default when scheduling a task through the `ScheduleActivityTask` decision.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ActivityTypeConfiguration clone()

Overrides:
  `clone` in class `Object`